Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Interface WSRP_v1_Registration_PortType

All Superinterfaces:
  java.rmi.Remote

All Known Subinterfaces:
  WSRPProducer

All Known Implementing Classes:
  RegistrationEndpoint, WSRPProducerImpl

    public interface WSRP_v1_Registration_PortType

extends java.rmi.Remote

Method Summary
`ReturnAny` | `deregister(RegistrationContext deregister)`
`RegistrationState` | `modifyRegistration(ModifyRegistration modifyRegistration)`
`RegistrationContext` | `register(RegistrationData register)`

Method Detail

### register

    RegistrationContext register(RegistrationData register)
                                 throws MissingParametersFault,
                                        OperationFailedFault,
                                        java.rmi.RemoteException

  Throws:
    `MissingParametersFault`
    `OperationFailedFault`
    `java.rmi.RemoteException`

### deregister

    ReturnAny deregister(RegistrationContext deregister)
                         throws OperationFailedFault,
                                InvalidRegistrationFault,
                                java.rmi.RemoteException

  Throws:
    `OperationFailedFault`
    `InvalidRegistrationFault`
    `java.rmi.RemoteException`

### modifyRegistration

    RegistrationState modifyRegistration(ModifyRegistration modifyRegistration)
                                         throws MissingParametersFault,
                                                OperationFailedFault,
                                                InvalidRegistrationFault,
                                                java.rmi.RemoteException

  Throws:
    `MissingParametersFault`
    `OperationFailedFault`
    `InvalidRegistrationFault`
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD